
=head1 QwikWiki config file

=cut

package qwcfg;
use strict;

$qwcfg::serverUrl = ($ENV{SERVER_URL})? $ENV{SERVER_URL} : "http://www.foosenblat.org";
$qwcfg::qwikiUrl  = "$qwcfg::serverUrl/cgi-bin/qwiki.cgi";
$qwcfg::interWikiUrl = "http://www.c2.com/cgi/wiki?";  # for Wiki:InterWiki links

$qwcfg::qwikiProgRoot = "..";
$qwcfg::qwikiHtmlRoot = "/qwiki";

$qwcfg::pagesDbPath  = "$qwcfg::qwikiProgRoot/db/pages";
$qwcfg::revsDbPath   = "$qwcfg::qwikiProgRoot/db/revs";
$qwcfg::searchDbPath = "$qwcfg::qwikiProgRoot/db/index";

$qwcfg::stopwordsFile = "$qwcfg::qwikiProgRoot/misc/stopwords.txt";

$qwcfg::qwikiBaseGif = "$qwcfg::qwikiHtmlRoot/misc/radial_red_blue.jpg"; # was wikibase.gif";

$qwcfg::diffProg = "/usr/bin/diff";
$qwcfg::qwdiffTmpDir = "/tmp";

$qwcfg::FrontPage     = "FrontPage";  # default entry-point / home page
$qwcfg::RecentChanges = "RecentChanges";  # auto-updated changes log page

$qwcfg::enableStoryMarkup = 1;  # conditional markup for interactive stories :)

# All QwikWiki pages begin with this header data.  It should include
# the HTML header, and finish with an open <BODY> tag.
# The token %%TITLE%% is replaced with the current page title.
$qwcfg::htmlHeader = <<"ENDHTML";
<!DOCTYPE HTML PUBLIC "-//IETF//DTD HTML//EN">
<html>
<head>
  <title>%%TITLE%%</title>
  <style type="text/css" media=screen>
  <!--
    BODY  { background: white url($qwcfg::qwikiHtmlRoot/misc/fadeV_mag_white.jpg) no-repeat; background-repeat: repeat-x; color: black }
  -->
  </style>
  <base target="_self">
</head>
<body bgcolor="#FFFFFF" text="#000000" link="#230096" alink="#7f0a5f" vlink="#7f0a5f">
ENDHTML

1;

# eof

